#!/bin/sh
# Taurus FamilyTree v1.1.3
# (c) Copyright R.H.Thornburrow, 2004
# This program is free software.  It is released under the terms of the GNU
# General Public License version 2.  It is supplied WITHOUT ANY WARRANTY;
# without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# Usage run.sh [<input_file>]

prog=$0
ft_bin=`dirname ${prog}`

mainClass=com.tsac.familytree.gui.MainFrame
infile=example.xml

if [ "x$1" != "x" ] ; then
    infile=$1
fi

# Use this line for JDK 1.2; Note that you need Xerces 1.x for this
#classpath="${ft_bin}/FamilyTree.jar:${ft_bin}/xerces.jar:${ft_bin}"

# Use this line for JDK 1.4 and above
classpath="${ft_bin}/FamilyTree.jar:${ft_bin}"

# Convert to Windows style path as java is a Windows program under Cygwin
case "`uname`" in
    CYGWIN*) classpath=`cygpath --windows --path "${classpath}"` ;;
esac

# Use this line for JDK 1.2; Note that you need Xerces 1.x for this
#java -classpath "${classpath}" ${mainClass} ${infile}

# Use this line for JDK 1.4 and above
java -cp "${classpath}" ${mainClass} ${infile}
