///////////////////////////////////////////////////////////////////////////////
//
// Filename: AboutDialog.java
//
// Author:   Robert Thornburrow
// Project:  FamilyTree
// Created:  20th May 2001
//
// Purpose:  The About box.
//
// (c) Copyright R.H.Thornburrow, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
//
///////////////////////////////////////////////////////////////////////////////

package com.tsac.familytree.gui;

import java.awt.Font;
import javax.swing.*;


@SuppressWarnings("serial")
public class AboutDialog
    extends java.awt.Dialog
{
    public AboutDialog( java.awt.Frame parent, boolean modal )
    {
        super(parent, modal);

        // This code is automatically generated by Visual Cafe when you add
        // components to the visual environment. It instantiates and initializes
        // the components. To modify the code, only use code syntax that matches
        // what Visual Cafe can generate, or Visual Cafe may be unable to back
        // parse your Java file into its visual environment.

        //{{INIT_CONTROLS
        setLayout(null);
        //setBackground(new java.awt.Color(204,204,204));
        setSize(344,153);
        setVisible(false);
        add(logoLbl);
        logoLbl.setBounds(12,12,96,128);
        JLabel1.setText("Taurus FamilyTree");
        add(JLabel1);
        JLabel1.setFont(new Font("Dialog", Font.BOLD, 14));
        JLabel1.setBounds(120,12,216,24);
        JLabel2.setText("(c) Copyright Taurus Software, 2001-10");
        add(JLabel2);
        JLabel2.setBounds(120,48,216,24);
        JLabel3.setText("Version:");
        add(JLabel3);
        JLabel3.setBounds(120,84,60,24);
        versionTxt.setText("0.0.0");
        add(versionTxt);
        versionTxt.setBounds(180,84,60,24);
        okBtn.setText("OK");
        okBtn.setActionCommand("OK");
        add(okBtn);
        okBtn.setBounds(132,120,72,24);
        setTitle("FamilyTree - About");
        //}}

        //{{REGISTER_LISTENERS
        SymWindow aSymWindow = new SymWindow();
        this.addWindowListener(aSymWindow);
        SymAction lSymAction = new SymAction();
        okBtn.addActionListener(lSymAction);
        //}}

        logoLbl.setIcon( new ImageIcon(ClassLoader.getSystemResource("images/logo.gif")) );
        versionTxt.setText( MainFrame.version );
    }

    public AboutDialog( java.awt.Frame parent, String title, boolean modal)
    {
        this(parent, modal);
        setTitle(title);
    }

    public void addNotify()
    {
        // Record the size of the window prior to calling parents addNotify.
        java.awt.Dimension d = getSize();

        super.addNotify();

        // Only do this once.
        if (fComponentsAdjusted)
            return;

        // Adjust components according to the insets
        java.awt.Insets insets = getInsets();
        setSize(insets.left + insets.right + d.width, insets.top + insets.bottom + d.height);
        java.awt.Component components[] = getComponents();
        for (int i = 0; i < components.length; i++)
        {
            java.awt.Point p = components[i].getLocation();
            p.translate(insets.left, insets.top);
            components[i].setLocation(p);
        }

        // Used for addNotify check.
        fComponentsAdjusted = true;
    }

    public void setVisible(boolean b)
    {
        if (b)
        {
            java.awt.Rectangle bounds = getParent().getBounds();
            java.awt.Rectangle abounds = getBounds();

            setLocation(bounds.x + (bounds.width - abounds.width)/ 2,
                    bounds.y + (bounds.height - abounds.height)/2);
        }

        super.setVisible(b);
    }

    //{{DECLARE_CONTROLS
    javax.swing.JLabel logoLbl = new javax.swing.JLabel();
    javax.swing.JLabel JLabel1 = new javax.swing.JLabel();
    javax.swing.JLabel JLabel2 = new javax.swing.JLabel();
    javax.swing.JLabel JLabel3 = new javax.swing.JLabel();
    javax.swing.JLabel versionTxt = new javax.swing.JLabel();
    javax.swing.JButton okBtn = new javax.swing.JButton();
    //}}

    // Used for addNotify check.
    boolean fComponentsAdjusted = false;

    class SymAction implements java.awt.event.ActionListener
    {
        public void actionPerformed(java.awt.event.ActionEvent event)
        {
            Object object = event.getSource();
            if (object == okBtn)
                okBtn_actionPerformed(event);
        }
    }


    class SymWindow extends java.awt.event.WindowAdapter
    {
        public void windowClosing(java.awt.event.WindowEvent event)
        {
            Object object = event.getSource();
            if (object == AboutDialog.this)
                AboutDialog_WindowClosing(event);
        }
    }

    void AboutDialog_WindowClosing(java.awt.event.WindowEvent event)
    {
        AboutDialog_WindowClosing_Interaction1(event);
    }


    void AboutDialog_WindowClosing_Interaction1(java.awt.event.WindowEvent event)
    {
        try {
            this.dispose();
        } catch (Exception e) {
        }
    }


    void okBtn_actionPerformed(java.awt.event.ActionEvent event)
    {
        okBtn_actionPerformed_Interaction1(event);
    }

    void okBtn_actionPerformed_Interaction1(java.awt.event.ActionEvent event)
    {
        try {
            // AboutDialog Hide the AboutDialog
            this.setVisible(false);
        } catch (java.lang.Exception e) {
        }
    }
}
