///////////////////////////////////////////////////////////////////////////////
//
// Filename: FamilyTreeGridbagConstraints.java
//
// Author:   Robert Thornburrow
// Project:  FamilyTree
// Created:  20th May 2001
//
// Purpose:  Convenience wrapper for GridbagConstraints.
//
// (c) Copyright R.H.Thornburrow, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
//
///////////////////////////////////////////////////////////////////////////////

package com.tsac.familytree.gui;

import java.awt.GridBagConstraints;
import java.awt.Insets;

@SuppressWarnings("serial")
public class FamilyTreeGridBagConstraints
    extends GridBagConstraints
{
    public FamilyTreeGridBagConstraints(
        int gx, int gy, int gw, int gh,
        double wx, double wy, int an, int fi,
        Insets ins, int px, int py )
    {
		this.gridx = gx;
		this.gridy = gy;
		this.gridwidth = gw;
		this.gridheight = gh;
		this.weightx = wx;
		this.weighty = wy;
		this.anchor = an;
		this.fill = fi;
		this.insets = ins;
		this.ipadx = px;
		this.ipady = py;
    }

    public FamilyTreeGridBagConstraints(
        int gx, int gy, int gw, int gh,
        double wx, double wy,
        int an, int fi, int px, int py )
    {
        this( gx, gy, gw, gh, wx, wy, an, fi, new Insets(0,0,0,0), px, py );
    }
}