///////////////////////////////////////////////////////////////////////////////
//
// Filename: FamilyTreeTableRowModel.java
//
// Author:   Robert Thornburrow
// Project:  FamilyTree
// Created:  20th May 2001
//
// Purpose:  Model for a row in the listview.
//
// (c) Copyright R.H.Thornburrow, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
//
///////////////////////////////////////////////////////////////////////////////

package com.tsac.familytree.gui;

import com.tsac.familytree.*;

public class FamilyTreeTableRowModel
{
    public Person person;
    private String _relationship;
    
    public FamilyTreeTableRowModel( Person person, String mrel, String frel, String rel )
    {
        this.person = person;
        
        if( person instanceof Male )
            _relationship = mrel;
        else if( person instanceof Female )
            _relationship = frel;
        else
            _relationship = rel;
    }
    
    public String getSurname()  { return person.getSurname(); }
    
    public String getForenames()  { return person.getForenames(); }
    
    public String getRelationship()  { return _relationship; }
    
    public String getBorn()  { return person.getBorn(); }
    
    public String getDied()  { return person.getDied(); }
    
    public String getAge()
    {
        String age = person.getAgeString();
        
        if( age != null )
            return age;

        return "";
    }
}