///////////////////////////////////////////////////////////////////////////////
//
// Filename: AbsoluteDate.java
//
// Author:   Robert Thornburrow
// Project:  FamilyTree
// Created:  20th May 2001
//
// Purpose:  Representation of an absoute date (dd/mm/yyyy).
//
// (c) Copyright R.H.Thornburrow, 2001-4
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
//
///////////////////////////////////////////////////////////////////////////////

package com.tsac.familytree.util;

import java.util.Calendar;

public class AbsoluteDate
    extends DateBase
{
    private Calendar _date;
    
    public AbsoluteDate( Calendar date )
    {
        _date = date;
    }
    
    public Calendar getDate()  { return _date; }
    
    public String toString()  { return DateUtil.toString( _date ); }
    
    public int getMonth()  { return _date.get( Calendar.MONTH ); }
    
    public int getYear()  { return _date.get( Calendar.YEAR ); }
    
    public String getYearString()
    {
        return Integer.toString( _date.get( Calendar.YEAR ) );
    }
}