package com.tsac.familytree.util;

public class LogBuffer
{
    private StringBuffer _log = new StringBuffer();
    private int[] _counts = new int[3];
    
    public static final int ERROR   = 0;
    public static final int WARNING = 1;
    public static final int INFO    = 2;
    
    public LogBuffer() {
        for(int n = 0; n < _counts.length; n++) {
            _counts[n] = 0;
        }
    }

    public void log(int level, String msg) {
        System.out.println(msg);
        if((level >= 0) && (level < _counts.length)) {
            _counts[level]++;
        }
        _log.append(msg + "\n");
    }
    
    public String getMessages() {
        return _log.toString();
    }
    
    public boolean hasErrors() {
        return (_counts[ERROR] > 0);
    }
    
    public boolean hasWarnings() {
        return (_counts[WARNING] > 0);
    }
}
